Summary:	GNOME build framework
Name:		gnome-build
Version:	0.2.4
Release:	1%{?dist}
License:	GPLv2+
Group:		Development/Libraries
URL:		http://www.gnome.org/projects/devtools/gnomebuild.shtml
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-build/0.2/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-configure.patch
Patch1:		%{name}-%{version}-pkgconfig.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Provides:	perl(GBF::Make) = %{version}-%{release}

BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libgdl-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	perl(Locale::gettext)

%description
GNOME build framework provides the project management components of the
development environment. This includes management of source-code resources,
generation of makefiles, and build management.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	gtk2-devel
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel 
This package contains development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Make)/d' \
  -e '/perl(Make::Target)/d' \
  -e '/perl(Make::Rule::Vars)/d' \
  -e '/perl(Make::Rule)/d'
EOF

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Make)/d' \
  -e '/perl(Make::Target)/d' \
  -e '/perl(Make::Rule::Vars)/d' \
  -e '/perl(Make::Rule)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

# Suppress rpmlint error.
chmod 644 `find . -name "*.c" -perm /111 -print`
chmod 644 `find . -name "*.h" -perm /111 -print`

%build
%if 0%{?fc7}%{?fc8}
%else
  export CPPFLAGS="-D_GNU_SOURCE"
%endif

%configure --disable-static

# Remove rpaths.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%find_lang gbf-1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gbf-1.lang
%defattr (-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc MAINTAINERS
%doc NEWS
%{_bindir}/gbf-am-parse
%{_bindir}/gbf-mkfile-parse
%{_datadir}/pixmaps/gbf-build.png
%{_datadir}/pixmaps/gbf-install.png
%{_libdir}/libgbf-1.so.*
%{_libdir}/libgbf-widgets-1.so.*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/GBF
%{_datadir}/%{name}/glade

%dir %{_libdir}/%{name}-1.0
# Contains *.so files that are not symlinked to *.so.* files.
%{_libdir}/%{name}-1.0/backends

%files devel
%defattr (-,root,root,-)
%{_libdir}/libgbf-1.so
%{_libdir}/libgbf-widgets-1.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/gbf

%changelog
* Sat Mar 15 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.4-1
- Version bump to 0.2.4. Closes Red Hat Bugzilla bug #437557.
- Removed 'BuildRequires: chrpath' and use better ways of removing rpaths.
- Parallel build problems fixed by upstream.
- Dropped README because it does not have anything useful for the end-user.

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.1-2
- Fixed build failure in Rawhide by defining _GNU_SOURCE.
- Omitted unused direct shared library dependencies.

* Sat Feb 02 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.1-1
- Version bump to 0.2.1.
- Fixed build failure caused by missing PKG_CHECK_MODULES entry in configure
  script.

* Thu Jan 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.0-3
- Fixed gnome-build-1.0.pc.in by trimming 'Requires' list.
- Preserved timestamps using 'install -p'.

* Mon Jan 21 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.0-2
- Addressed warnings generated by rpmlint.

* Sun Jan 13 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.2.0-1
- Initial build. Imported SPEC from Rawhide.
- Disabled parallel make to prevent failure with -j8.
